## ros-one-rqt-gui-py 0.5.3-4jammy.20251023.0050

=== debian/changelog ===
ros-one-rqt-gui-py (0.5.3-4jammy.20251023.0050) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Oct 2025 00:50:01 +0000

ros-one-rqt-gui-py (0.5.3-0jammy) jammy; urgency=high

  * Update maintainers (#233 <https://github.com/ros-visualization/rqt/issues/233>) (#237 <https://github.com/ros-visualization/rqt/issues/237>)
  * Contributors: Michael Jeronimo

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 25 Mar 2022 00:00:00 -0000

ros-one-rqt-gui-py (0.5.2-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-one-rqt-gui-py (0.5.1-0jammy) jammy; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#219 <https://github.com/ros-visualization/rqt/issues/219>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-rqt-gui-py (0.5.0-0jammy) jammy; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-one-rqt-gui-py (0.3.2-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-gui-py (0.3.1-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-one-rqt-gui-py (0.3.0-0jammy) jammy; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-one-rqt-gui-py (0.2.14-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-one-rqt-gui-py (0.2.13-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-one-rqt-gui-py (0.2.12-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.11-0jammy) jammy; urgency=high

  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.10-0jammy) jammy; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.9-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.8-0jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 11 Jan 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.7-0jammy) jammy; urgency=high

  * first public release for Groovy

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 31 Dec 2012 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rqt-gui-py//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rqt-gui-py 0.5.3-4jammy.20260220.2147

=== debian/changelog ===
ros-one-rqt-gui-py (0.5.3-4jammy.20260220.2147) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 20 Feb 2026 21:47:31 +0000

## ros-one-rqt-gui-py 0.5.3-4noble.20251023.0048

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_gui_py)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS rqt_gui rospy)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-rqt-gui-py (0.5.3-4noble.20251023.0048) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Oct 2025 00:48:30 +0000

ros-one-rqt-gui-py (0.5.3-0noble) noble; urgency=high

  * Update maintainers (#233 <https://github.com/ros-visualization/rqt/issues/233>) (#237 <https://github.com/ros-visualization/rqt/issues/237>)
  * Contributors: Michael Jeronimo

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 25 Mar 2022 00:00:00 -0000

ros-one-rqt-gui-py (0.5.2-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-one-rqt-gui-py (0.5.1-0noble) noble; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#219 <https://github.com/ros-visualization/rqt/issues/219>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-rqt-gui-py (0.5.0-0noble) noble; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-one-rqt-gui-py (0.3.2-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-one-rqt-gui-py (0.3.1-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-one-rqt-gui-py (0.3.0-0noble) noble; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-one-rqt-gui-py (0.2.14-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-one-rqt-gui-py (0.2.13-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-one-rqt-gui-py (0.2.12-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.11-0noble) noble; urgency=high

  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.10-0noble) noble; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.9-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.8-0noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 11 Jan 2013 00:00:00 -0000

ros-one-rqt-gui-py (0.2.7-0noble) noble; urgency=high

  * first public release for Groovy

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 31 Dec 2012 00:00:00 -0000

=== debian/control ===
Source: ros-one-rqt-gui-py
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-qt-gui (>= 0.3.0), ros-one-rospy, ros-one-rqt-gui (>= 0.3.0)
Homepage: http://ros.org/wiki/rqt_gui_py
Standards-Version: 3.9.2

Package: ros-one-rqt-gui-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-qt-gui (>= 0.3.0), ros-one-rospy, ros-one-rqt-gui (>= 0.3.0)
Description: rqt_gui_py enables GUI plugins to use the Python client library for ROS.

## ros-one-rqt-gui-py 0.5.3-4noble.20260220.2154

=== debian/changelog ===
ros-one-rqt-gui-py (0.5.3-4noble.20260220.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 20 Feb 2026 21:54:50 +0000
